<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Anmeldung\HandleKursDataTable;

abstract class HandleKursDataTableController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getRequestObj()
  {
    $request = new HandleKursDataTableRequest();
    $request->action = \GetOperations::getVarValue('kursaction');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HandleKursDataTablePresenter($pUseCaseResponse);
  }
}